#ifndef __ABC800_USB_H__
#define __ABC800_USB_H__
#include "EspUsbHost.h"
void abc800_port_init();
void  onRepeatTimer_out(TimerHandle_t xTimer);
namespace abc800
{
    class UsbHost800 : public EspUsbHost {
        void onKeyboardKey(uint8_t ascii, uint8_t keycode, uint8_t modifier);
        void onKeyboard(hid_keyboard_report_t report, hid_keyboard_report_t last_report);
        void ohid_datain_cb(hid_keyboard_report_t report);
    }; 
}
#endif